import java.io.*;
import java.util.*;
import javax.xml.bind.*;
import javax.xml.marshal.*;

public class testapp {

    public static void main(String args[])
    {
        String xml="<TEST><APPLE>abc</APPLE></TEST>";

        System.out.println ("Xml String: " + xml);

        TEST ts =  new TEST();

        ByteArrayInputStream bs = new ByteArrayInputStream(xml.getBytes());

        try {
            ts = ts.unmarshal((InputStream)bs);
            System.out.println("Ok for unmarshal");
        } catch(Exception e) {
            System.out.println("Fail in unmarshal:" + e.toString());
        }


        TEST tn = new TEST();
        tn.setAPPLE("12345");

        ByteArrayOutputStream out = new ByteArrayOutputStream();

        try {
            tn.validate();
            tn.marshal(out);
            System.out.println ("Ok for marshal");
        } catch(Exception e) {
            System.out.println ("Marshal error" + e.toString());
        }

        String xmlout = out.toString();
        System.out.println ("Xml Out String: " + xmlout);
    }
}

