
import java.io.IOException;
import java.io.InputStream;
import javax.xml.bind.ConversionException;
import javax.xml.bind.Dispatcher;
import javax.xml.bind.Element;
import javax.xml.bind.InvalidAttributeException;
import javax.xml.bind.LocalValidationException;
import javax.xml.bind.MarshallableObject;
import javax.xml.bind.Marshaller;
import javax.xml.bind.MissingContentException;
import javax.xml.bind.StructureValidationException;
import javax.xml.bind.UnmarshalException;
import javax.xml.bind.Unmarshaller;
import javax.xml.bind.Validator;
import javax.xml.marshal.XMLScanner;
import javax.xml.marshal.XMLWriter;


public class ORANGE
    extends MarshallableObject
    implements Element
{

    private String _COLOR;
    private String _WEIGHT;

    public String getCOLOR() {
        return _COLOR;
    }

    public void setCOLOR(String _COLOR) {
        this._COLOR = _COLOR;
        if (_COLOR == null) {
            invalidate();
        }
    }

    public String getWEIGHT() {
        return _WEIGHT;
    }

    public void setWEIGHT(String _WEIGHT) {
        this._WEIGHT = _WEIGHT;
        if (_WEIGHT == null) {
            invalidate();
        }
    }

    public void validateThis()
        throws LocalValidationException
    {
        if (_COLOR == null) {
            throw new MissingContentException("COLOR");
        }
        if (_WEIGHT == null) {
            throw new MissingContentException("WEIGHT");
        }
    }

    public void validate(Validator v)
        throws StructureValidationException
    {
    }

    public void marshal(Marshaller m)
        throws IOException
    {
        XMLWriter w = m.writer();
        w.start("ORANGE");
        w.leaf("COLOR", _COLOR.toString());
        w.leaf("WEIGHT", _WEIGHT.toString());
        w.end("ORANGE");
    }

    public void unmarshal(Unmarshaller u)
        throws UnmarshalException
    {
        XMLScanner xs = u.scanner();
        Validator v = u.validator();
        xs.takeStart("ORANGE");
        while (xs.atAttribute()) {
            String an = xs.takeAttributeName();
            throw new InvalidAttributeException(an);
        }
        if (xs.atStart("COLOR")) {
            xs.takeStart("COLOR");
            String s;
            if (xs.atChars(XMLScanner.WS_COLLAPSE)) {
                s = xs.takeChars(XMLScanner.WS_COLLAPSE);
            } else {
                s = "";
            }
            try {
                _COLOR = String.valueOf(s);
            } catch (Exception x) {
                throw new ConversionException("COLOR", x);
            }
            xs.takeEnd("COLOR");
        }
        if (xs.atStart("WEIGHT")) {
            xs.takeStart("WEIGHT");
            String s;
            if (xs.atChars(XMLScanner.WS_COLLAPSE)) {
                s = xs.takeChars(XMLScanner.WS_COLLAPSE);
            } else {
                s = "";
            }
            try {
                _WEIGHT = String.valueOf(s);
            } catch (Exception x) {
                throw new ConversionException("WEIGHT", x);
            }
            xs.takeEnd("WEIGHT");
        }
        xs.takeEnd("ORANGE");
    }

    public static ORANGE unmarshal(InputStream in)
        throws UnmarshalException
    {
        return unmarshal(XMLScanner.open(in));
    }

    public static ORANGE unmarshal(XMLScanner xs)
        throws UnmarshalException
    {
        return unmarshal(xs, newDispatcher());
    }

    public static ORANGE unmarshal(XMLScanner xs, Dispatcher d)
        throws UnmarshalException
    {
        return ((ORANGE) d.unmarshal(xs, (ORANGE.class)));
    }

    public boolean equals(Object ob) {
        if (this == ob) {
            return true;
        }
        if (!(ob instanceof ORANGE)) {
            return false;
        }
        ORANGE tob = ((ORANGE) ob);
        if (_COLOR!= null) {
            if (tob._COLOR == null) {
                return false;
            }
            if (!_COLOR.equals(tob._COLOR)) {
                return false;
            }
        } else {
            if (tob._COLOR!= null) {
                return false;
            }
        }
        if (_WEIGHT!= null) {
            if (tob._WEIGHT == null) {
                return false;
            }
            if (!_WEIGHT.equals(tob._WEIGHT)) {
                return false;
            }
        } else {
            if (tob._WEIGHT!= null) {
                return false;
            }
        }
        return true;
    }

    public int hashCode() {
        int h = 0;
        h = ((127 *h)+((_COLOR!= null)?_COLOR.hashCode(): 0));
        h = ((127 *h)+((_WEIGHT!= null)?_WEIGHT.hashCode(): 0));
        return h;
    }

    public String toString() {
        StringBuffer sb = new StringBuffer("<<ORANGE");
        if (_COLOR!= null) {
            sb.append(" COLOR=");
            sb.append(_COLOR.toString());
        }
        if (_WEIGHT!= null) {
            sb.append(" WEIGHT=");
            sb.append(_WEIGHT.toString());
        }
        sb.append(">>");
        return sb.toString();
    }

    public static Dispatcher newDispatcher() {
        Dispatcher d = new Dispatcher();
        d.register("ORANGE", (ORANGE.class));
        d.register("TEST", (TEST.class));
        d.freezeElementNameMap();
        return d;
    }

}
