
import java.io.IOException;
import java.io.InputStream;
import javax.xml.bind.ConversionException;
import javax.xml.bind.Dispatcher;
import javax.xml.bind.InvalidAttributeException;
import javax.xml.bind.LocalValidationException;
import javax.xml.bind.MarshallableRootElement;
import javax.xml.bind.Marshaller;
import javax.xml.bind.MissingContentException;
import javax.xml.bind.RootElement;
import javax.xml.bind.StructureValidationException;
import javax.xml.bind.UnmarshalException;
import javax.xml.bind.Unmarshaller;
import javax.xml.bind.Validator;
import javax.xml.marshal.XMLScanner;
import javax.xml.marshal.XMLWriter;


public class TEST
    extends MarshallableRootElement
    implements RootElement
{

    private String _APPLE;
    private ORANGE _ORANGE;

    public String getAPPLE() {
        return _APPLE;
    }

    public void setAPPLE(String _APPLE) {
        this._APPLE = _APPLE;
        if (_APPLE == null) {
            invalidate();
        }
    }

    public ORANGE getORANGE() {
        return _ORANGE;
    }

    public void setORANGE(ORANGE _ORANGE) {
        this._ORANGE = _ORANGE;
        if (_ORANGE == null) {
            invalidate();
        }
    }

    public void validateThis()
        throws LocalValidationException
    {
        if (_APPLE == null) {
            throw new MissingContentException("APPLE");
        }
    }

    public void validate(Validator v)
        throws StructureValidationException
    {
        v.validate(_ORANGE);
    }

    public void marshal(Marshaller m)
        throws IOException
    {
        XMLWriter w = m.writer();
        w.start("TEST");
        w.leaf("APPLE", _APPLE.toString());
        if (_ORANGE!= null) {
            m.marshal(_ORANGE);
        }
        w.end("TEST");
    }

    public void unmarshal(Unmarshaller u)
        throws UnmarshalException
    {
        XMLScanner xs = u.scanner();
        Validator v = u.validator();
        xs.takeStart("TEST");
        while (xs.atAttribute()) {
            String an = xs.takeAttributeName();
            throw new InvalidAttributeException(an);
        }
        if (xs.atStart("APPLE")) {
            xs.takeStart("APPLE");
            String s;
            if (xs.atChars(XMLScanner.WS_COLLAPSE)) {
                s = xs.takeChars(XMLScanner.WS_COLLAPSE);
            } else {
                s = "";
            }
            try {
                _APPLE = String.valueOf(s);
            } catch (Exception x) {
                throw new ConversionException("APPLE", x);
            }
            xs.takeEnd("APPLE");
        }
        if (xs.atStart("ORANGE")) {
            _ORANGE = ((ORANGE) u.unmarshal());
        }
        xs.takeEnd("TEST");
    }

    public static TEST unmarshal(InputStream in)
        throws UnmarshalException
    {
        return unmarshal(XMLScanner.open(in));
    }

    public static TEST unmarshal(XMLScanner xs)
        throws UnmarshalException
    {
        return unmarshal(xs, newDispatcher());
    }

    public static TEST unmarshal(XMLScanner xs, Dispatcher d)
        throws UnmarshalException
    {
        return ((TEST) d.unmarshal(xs, (TEST.class)));
    }

    public boolean equals(Object ob) {
        if (this == ob) {
            return true;
        }
        if (!(ob instanceof TEST)) {
            return false;
        }
        TEST tob = ((TEST) ob);
        if (_APPLE!= null) {
            if (tob._APPLE == null) {
                return false;
            }
            if (!_APPLE.equals(tob._APPLE)) {
                return false;
            }
        } else {
            if (tob._APPLE!= null) {
                return false;
            }
        }
        if (_ORANGE!= null) {
            if (tob._ORANGE == null) {
                return false;
            }
            if (!_ORANGE.equals(tob._ORANGE)) {
                return false;
            }
        } else {
            if (tob._ORANGE!= null) {
                return false;
            }
        }
        return true;
    }

    public int hashCode() {
        int h = 0;
        h = ((127 *h)+((_APPLE!= null)?_APPLE.hashCode(): 0));
        h = ((127 *h)+((_ORANGE!= null)?_ORANGE.hashCode(): 0));
        return h;
    }

    public String toString() {
        StringBuffer sb = new StringBuffer("<<TEST");
        if (_APPLE!= null) {
            sb.append(" APPLE=");
            sb.append(_APPLE.toString());
        }
        if (_ORANGE!= null) {
            sb.append(" ORANGE=");
            sb.append(_ORANGE.toString());
        }
        sb.append(">>");
        return sb.toString();
    }

    public static Dispatcher newDispatcher() {
        return ORANGE.newDispatcher();
    }

}
